dihaa -- Creating Diagrams from ASCII Art
=========================================

*dihaa* is a tool to create pictures of diagrams from ASCII art:

    This is an simple example of valid dihaa input:

                                          +----------------+
                                     +--->| PNG Image File |
    +-------------+      +-------+   |    +----------------+
    | Text Source +----->| dihaa +---+
    +-------------+      +-------+   |    +-------------------+
                             ^       +--->| UTF-8 Box Drawing |
    Commandline Options -----+            +-------------------+


Building
--------

*dihaa* is written in Haskell and can be build using cabal.  I
recommend using a sandbox for building the dependencies (Rasterific is
used for image creation) and dihaa it self:

    cabal sandbox init
    cabal install


Usage
-----

To process the text input call *dihaa* with either `-p` to create a
PNG image or `-u` to create UTF-8 output using unicode box drawing
elements.  Try `.cabal-sandbox/bin/dihaa -p test.dihaa`, his will
create `test.dihaa.png`.

For more details refer to the haddoc documentation of
[Main](https://hackage.haskell.org/package/dihaa/docs/dihaa/Main.html).


Acknowledgment
--------------

This tool is inspired by: https://github.com/stathissideris/ditaa
which currently has far more features than *dihaa*.
